> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.id.me/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.id.me/_mcp/server.

# Verification

> Create and manage verifications to track identity attempts across multiple products using the Services API.

A verification is the core of an identity attempt. When verifying an identity through multiple products (for example, Document Verification and Telecom Verification), the `verification_id` ties those requests together.

> **Info**
>
> Watch the [verification demo](https://youtu.be/OFWqhmgV11M) for a walkthrough.

## Create new verification

POST `/api/v2/verification`

Creates a new verification. There are no required parameters for this endpoint.

### Parameters

| Parameter      | Required or Optional | Data Type        | Description                                                                            |
| -------------- | -------------------- | ---------------- | -------------------------------------------------------------------------------------- |
| `callback_url` | Optional             | string           | The URL to receive the callback when the verification is created                       |
| `metadata`     | Optional             | application/json | Custom metadata for the verification. Can be any valid JSON value up to 500 characters |

### Example request

**`Example`**

```bash Example
curl --location --request POST 'https://services.idmelabs.com/api/v2/verification' \
--header 'Content-Type: application/json' \
--data ''
```

### Example response

**`200 OK`**

```json 200 OK
{
"verification_id": "9b1cef39-46c3-48f2-8dbf-306cf73093bd",
"transactions": []
}
```

---

## Verification status

GET `/api/v2/verification/:verification_id`

Returns a verification and all of its associated transactions.

> **Warning**
>
> Mock requests are not valid for this endpoint.

### Parameters

| Parameter         | Required or Optional | Description                            |
| ----------------- | -------------------- | -------------------------------------- |
| `verification_id` | Required             | The ID of the verification to retrieve |

### Example request

**`Example`**

```bash Example
curl --location 'https://services.idmelabs.com/api/v2/verification/e469c856-7f8e-4aba-8fb4-230bcfea7cf8'
```

### Example response

**`200 OK`**

```json 200 OK
{
  "verification_id": "e469c856-7f8e-4aba-8fb4-230bcfea7cf8",
  "transactions": [
    {
      "transaction_id": "c9298cc5-9917-4b88-850d-991df3864afe",
      "verification_id": "e469c856-7f8e-4aba-8fb4-230bcfea7cf8",
      "product": "document.license.verify",
      "status": {
        "code": 200,
        "message": "Transaction successfully completed",
        "created": "2023-04-04T21:15:52.171Z",
        "updated": "2023-04-04T21:25:53.301Z"
      }
    }
  ]
}
```

### Error responses

**403 Forbidden**

**`Example`**

```json Example
{
  "errors": [{
    "code": 3200,
    "message": "Verification not owned by this account"
  }]
}
```